---
title: 电脑迁移后开机无显示输出
date: 2024-04-19 08:28:58
tags:
  - 电脑
categories:
  - 生活
---

## 问题
原来的地方太吵闹了，最近进行了一次搬家。搬到了小区里，确实安静不少，重点是离公司非常近，走路10分钟就到了，通勤时间的减少带来的幸福感！

昨天把电脑是和相关的工具环境搭建起来的时候遇到了一个问题：电脑插上电之后是正常亮了，但是HDMI连接显示器后显示器一直显示无信号。
将HDMI换到核显也是无输出。

## 排查

因为显示器都是使用的原装的包装一般来说不太可能坏，但是还是先是用笔记本接HDMI输出确认了HDMI线和显示屏都是没问题。

然后开始确定肯定是电脑这边的问题，然后又把独立显卡的PCIE供电拔掉，看下输出从集成显卡会不会OK，结果还是不行；
难道是内存的问题，干脆把显卡和内存全部拆了，擦了擦金手指，只把内存条插上去，还是没输出。

但是电脑确实是可以启动起来的，干脆把所有的外接设备全部拔掉，什么键盘鼠标接收器，音频输出，无线网卡都拔掉，只插上显卡和HDMI线。
启动结果OK了。

## 复盘

这大概率就是因为我第一次把电脑搬出来直接开机然后直接断电了，导致后面开机进行了硬件自检但是插上的鼠标/键盘的接收器/无显示器过不了自检，
导致卡在里硬件自检这里，所以没有显示输出，拔掉后自然就OK了。

还有一个细节就是我在无输出的那段时间开机后都无法长按电源键进行关闭，应该也是和这个有关系。

## 总结

电脑搬迁后：
1. 最好全部去掉外设，只接显示器然后开机，不要只插电脑电源开机。
2. 如果启动不起来，检查内存，擦一擦金手指，重新拔插一下。
3. 显卡最后能够提前拆下来单独包装，因为通常和主板90度安装，固定不稳容易被抖动导致移位或者损坏。

最后祝大家都能生活愉快！离公司超近！！！